package main

import (
	"flag"
	"log"

	"git.wntrmute.dev/kyle/kdhcp/server"
)

func main() {
	cfg := &server.Config{}
	flag.StringVar(&cfg.Device, "i", "eth0", "network `interface` to listen on")
	flag.Parse()

	_, err := server.NewServer(cfg)
	if err != nil {
		log.Fatal(err)
	}
}
